/* $Id: choicePulseCounter.h,v 1.4 1994/07/13 02:24:26 bordua Exp $
 *
 *      Author:        Janet Anderson 
 *      Date:          10-16-91
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  10-18-91        jba     Initial Definition
 * .02  12-02-91        jba     Removed unused choice CSRC
 * .03  09-04-92        jbk     Added CSIZ, changed name of GATE to SGV
 */

#ifndef INCchoicePulseCounterh
#define INCchoicePulseCounterh 1
#define REC_PULSECOUNTER_CNTE		0

#define REC_PULSECOUNTER_GTYP		1
#define REC_PULSECOUNTER_GTYP_INT       0
#define REC_PULSECOUNTER_GTYP_SOFT      1

#define REC_PULSECOUNTER_CMD		2
#define REC_PULSECOUNTER_CMD_READ       0
#define REC_PULSECOUNTER_CMD_CLEAR      1
#define REC_PULSECOUNTER_CMD_START      2
#define REC_PULSECOUNTER_CMD_STOP       3
#define REC_PULSECOUNTER_CMD_SETUP      4

#define REC_PULSECOUNTER_SGV		3
#define REC_PULSECOUNTER_SGV_INACTIVE   0
#define REC_PULSECOUNTER_SGV_ACTIVE     1

#define REC_PULSECOUNTER_CSIZ           4
#define REC_PULSECOUNTER_CSIZ_16        0
#define REC_PULSECOUNTER_CSIZ_32        1

#define REC_PULSECOUNTER_DIM		5
#define REC_PULSECOUNTER_NUM		5
#endif
