/* $Id: choicePulseDelay.h,v 1.4 1994/07/13 20:18:12 mcn Exp $
 *
 *      Author:        Janet Anderson 
 *      Date:          10-16-91
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  10-18-91        jba     Initial Definition
 * .02  09-04-92        jbk     Added many definitions - unit, val, tsrc
 */

#ifndef INCchoicePulseDelayh
#define INCchoicePulseDelayh 1
#define REC_PULSEDELAY_CTYP		0
#define REC_PULSEDELAY_LLOW		1
#define REC_PULSEDELAY_CEDG		2

#define REC_PULSEDELAY_TTYP		3
#define REC_PULSEDELAY_TTYP_INT         0
#define REC_PULSEDELAY_TTYP_SOFT        1

#define REC_PULSEDELAY_STV              4
#define REC_PULSEDELAY_STV_DISABLE      0
#define REC_PULSEDELAY_STV_ENABLE       1
 
#define REC_PULSEDELAY_UNIT             5
  
#define REC_PULSEDELAY_VALU             6
#define REC_PULSEDELAY_VALU_INACTIVE    0
#define REC_PULSEDELAY_VALU_ACTIVE      1

#define REC_PULSEDELAY_DIM		7
#define REC_PULSEDELAY_NUM		7
#endif
