/*  bldLib.h 
	header file for single link list
 */       


struct snode {
        struct snode *next;
        };
typedef struct snode SNODE;

struct list {
        SNODE *first;
        SNODE *last;
        int count;
        };
typedef struct list SLIST;

#define sllFirst(PSLIST) \
        ((SNODE *)(((SLIST *)(PSLIST))->first))

#define sllInit(PSLIST) \
        (((SLIST *)(PSLIST))->first = NULL,\
         ((SLIST *)(PSLIST))->last = NULL,\
         ((SLIST *)(PSLIST))->count = 0)

#define sllLast(PSLIST) \
        ((SNODE *)(((SLIST *)(PSLIST))->last))

#define sllNext(PSNODE) \
        (((PSNODE) == NULL) ? NULL : (((SNODE *)(PSNODE))->next))

SNODE *sllNth();

/*------------------------------------------------------------------------------------
Routines defined in bldLib.c:

sllAdd(plist,new)                        Add the new node to the plist
SNODE *sllNth(plist,n)                   Get the Nth node of the plist
int sllInsert(plist,prev,new)            Insert the new node after the prev node
int sllRemove(plist,node)                Remove the node  from the plist
int sllFind(plist,pnode)                 Find the pnode from the plist


Macros defined in bldLib.h 

SNODE *sllFirst(plist)			Return the first node of the plist
sllInit(plist) 				Initialize plist structure
SNODE *sllLast(plist)			Return the last node of the plist
SNODE *sllNext(pnode)			Return the next node pointer

----------------------------------------------------------------------------------------*/
