/* dbPvd.h							*/
/* share/epicsH $Id: dbPvd.h,v 1.6 1993/07/23 11:00:23 mrk Exp $ */

/*
 *      Author:          Bob Dalesio
 *      Date:            6-1-90
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  mm-dd-yy        iii     Comment
 * .02  05-18-92        rcz     New database access (removed extern)
 * .03  09-21-92        rcz     moved from epicsH to dct
 */

#ifndef INCdbPvdh
#define INCdbPvdh 1
#ifndef INCdbDefsh
#include <dbDefs.h>
#endif
/* process variable directory equates */
/*NOTE: HASH_NO and MAX_PV must be <= 32767 */
#define 	HASH_NO	512		/* number of hash table entries */
#define		MAX_PV	4096		/* number of process variables */
#define		NO_ENTRY -1

/* process variable directory structure */
struct pvd_entry{
	char	name[PVNAME_SZ];	/* process variable name */
	short	record_type;	/* record type of this process variable */
	short	record_no;	/* record number within this type */
	short	next;		/* pointer to the next record in the */
				/* collision chain */
	short	pad;		/*preserve 32 bit alignment*/
};

/* process variable directory */
struct pvd {
	short		hash_entry[HASH_NO];	/* hash table		*/
	struct pvd_entry entry[MAX_PV];		/* process variables	*/
};
/************************************************************************
 * The memory layout is:
 *
 * dbPvd->pvd
 *          hash_entry[HASH_NO]
 *          pvd_entry[MAX_PV]
 *             name
 *             record_type
 *             record_no
 *             next
 ************************************************************************/
#endif
